import java.sql.*;

class Test {
	public static void main(String[] args) throws Exception {
		Class.forName("org.postgresql.Driver");
		Connection conn = DriverManager.getConnection("jdbc:postgresql://localhost:6543/test?loglevel=2", "pei", "");
		PreparedStatement pstmt = conn.prepareStatement("INSERT INTO test VALUES (?, ?);");
		for (int i = 0; i < 100; i++) {
			pstmt.setInt(1, 100 + i);
			pstmt.setObject(2, "test", Types.CHAR);
			pstmt.addBatch();

			pstmt.setInt(1, 200 + i);
			pstmt.setObject(2, "test", Types.VARCHAR);
			pstmt.addBatch();

			pstmt.setInt(1, 300 + i);
			pstmt.setObject(2, "test", Types.CHAR);
			pstmt.addBatch();

			pstmt.executeBatch();
			pstmt.clearBatch();
		}
		pstmt.close();

		pstmt = conn.prepareStatement("SELECT * FROM test;");
		pstmt.execute();
		pstmt.close();

		conn.close();
	}
}
